This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 444915 - Unable to read group information with preupgrade
Unable to read group information with preupgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-01 15:29 EDT by Laszlo Beres
Modified: 2009-07-14 12:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:28:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.log (39.25 KB, text/plain)
2008-05-01 15:29 EDT, Laszlo Beres
no flags Details
syslog (27.99 KB, application/octet-stream)
2008-05-01 15:29 EDT, Laszlo Beres
no flags Details

  None (edit)
Description Laszlo Beres 2008-05-01 15:29:01 EDT
Description of problem:

After running preupgrade in Fedora 8 and reboot , Anaconda starts the upgrade
process and after a while it drops the message below:

Unable to read group information from repositories. This is a problem with the
generation of your install tree.

Only choices are "Exit installer" and "Retry", the latter doesn't help.

Version-Release number of selected component (if applicable):


How reproducible:

Always.

Steps to Reproduce:
1. Start preupgrade
2. Reboot
3. Choose Upgrade to Fedora 9
  
Actual results:

Repos infos are not available.

Expected results:

Seamless upgrade.

Additional info:
Comment 1 Laszlo Beres 2008-05-01 15:29:01 EDT
Created attachment 304337 [details]
anaconda.log
Comment 2 Laszlo Beres 2008-05-01 15:29:41 EDT
Created attachment 304338 [details]
syslog
Comment 3 Jeremy Katz 2008-05-01 18:51:29 EDT
What version of preupgrade?  It should be pre-downloading the comps file.
Comment 4 Laszlo Beres 2008-05-02 02:04:29 EDT
Actually it does:

[beres@support ~]$ ll /var/cache/yum/anaconda-upgrade/
total 79420
-rw-r--r-- 1 root root        0 2008-05-01 21:29 cachecookie
-rw-r--r-- 1 root root  1322941 2008-05-01 11:00 comps.xml
-rw-r--r-- 1 root root   307879 2008-05-01 11:00 comps.xml.gz
-rw-r--r-- 1 root root 53855232 2008-05-01 21:30 filelists.sqlite
drwxr-xr-x 2 root root     4096 2008-05-01 21:55 headers
-rw-r--r-- 1 root root     2457 2008-05-01 21:29 mirrorlist.txt
drwxr-xr-x 2 root root    77824 2008-05-01 21:51 packages
-rw-r--r-- 1 root root 25602048 2008-05-01 21:29 primary.sqlite
-rw-r--r-- 1 root root     2424 2008-05-01 11:00 repomd.xml


Version is:

preupgrade-0.9.2-1.fc8

Comment 5 Seth Vidal 2008-05-02 09:38:08 EDT
Can you run:
sha1sum /var/cache/yum/anaconda-upgrade/comps*

include that output
and could you also include the contents of:
 /var/cache/yum/anaconda-upgrade/repomd.xml

thanks


Comment 6 nathan r. hruby 2008-05-02 12:49:42 EDT
I had this same problem, as it turns out 0.9.2-1.fc8 tries to grab minstg2.img
to cache in /boot/upgrade.  Minstg2.img  seems to be out of sync with rawhide,
and in fact got removed from preupgrade after 0.9.2 was pushed (according to the
Changelog).

I grabbed this mornings' 0.9.3 and am happily running an update on my laptop
with it as I type this after removing /boot/upgrade and the metadata files (but
not packages directory) from /var/cache/yum/anaconda-upgrade.

Maybe we can whack that file from the mirrors?

HTH,

-n
Comment 7 Will Woods 2008-05-02 13:05:41 EDT
No, it's not out of sync with rawhide. That's.. a different problem.

minstg2 is still used with regular installs in some cases - low-memory installs,
for instance - so we won't be killing it off anytime soon. But it doesn't
properly support preupgrade so we don't use it.
Comment 8 Laszlo Beres 2008-05-02 15:41:57 EDT
Here are the sha1sums' results:

c1e82d2790a406d06421b4e055aa87c0c93f557f  /var/cache/yum/anaconda-upgrade/comps.xml
edeb54a365e6c7b62365bd1c5dea8184c8a7fd41 
/var/cache/yum/anaconda-upgrade/comps.xml.gz

And the content of repomd.xml

<?xml version="1.0" encoding="UTF-8"?>
<repomd xmlns="http://linux.duke.edu/metadata/repo">
  <data type="other_db">
    <location href="repodata/other.sqlite.bz2"/>
    <checksum type="sha">2a55957ded096a1375df11ebe966b42ed9c3dc48</checksum>
    <timestamp>1209631269</timestamp>
    <open-checksum
type="sha">e1f9f8332823abc558f501a4cdb85da0f62fe3d6</open-checksum>
    <database_version>10</database_version>
  </data>
  <data type="other">
    <checksum type="sha">b05fcfbaabe7f4f41ca608921034f05b184223e9</checksum>
    <timestamp>1209631178</timestamp>
    <open-checksum
type="sha">de5402f922ad6d8cd67bf3c1713e8d68e8dcaa3f</open-checksum>
    <location href="repodata/other.xml.gz"/>
  </data>
  <data type="filelists_db">
    <location href="repodata/filelists.sqlite.bz2"/>
    <checksum type="sha">96cd6336332c53b31f27eef54ea30c7c8ac92b2d</checksum>
    <timestamp>1209631891</timestamp>
    <open-checksum
type="sha">e46b5c839f2deaab597fd0d43d1af6ab8d4159a9</open-checksum>
    <database_version>10</database_version>
  </data>
  <data type="filelists">
    <checksum type="sha">f947602c78cac488a9261b933579ca9f00fe844b</checksum>
    <timestamp>1209631178</timestamp>
    <open-checksum
type="sha">f56a0dcfbb32b2ed4b4a332300f78b546793a20b</open-checksum>
    <location href="repodata/filelists.xml.gz"/>
  </data>
  <data type="primary_db">
    <location href="repodata/primary.sqlite.bz2"/>
    <checksum type="sha">2c74ab6ccca143a46953fd89c15474d29da1ce49</checksum>
    <timestamp>1209632441</timestamp>
    <open-checksum
type="sha">ef8018ea76f2722d001f32be6381c2ea5d135dbc</open-checksum>
    <database_version>10</database_version>
  </data>
  <data type="primary">
    <checksum type="sha">20454a11cba5107b17760edbecc509f31dc0ac6e</checksum>
    <timestamp>1209631178</timestamp>
    <open-checksum
type="sha">3901b64caac2fe93941e2963054d6a220d4cb37f</open-checksum>
    <location href="repodata/primary.xml.gz"/>
  </data>
  <data type="group_gz">
    <location href="repodata/comps.xml.gz"/>
    <checksum type="sha">edeb54a365e6c7b62365bd1c5dea8184c8a7fd41</checksum>
    <open-checksum
type="sha">c1e82d2790a406d06421b4e055aa87c0c93f557f</open-checksum>
    <timestamp>1209632442</timestamp>
  </data>
  <data type="group">
    <location href="repodata/comps.xml"/>
    <checksum type="sha">c1e82d2790a406d06421b4e055aa87c0c93f557f</checksum>
    <timestamp>1209632442</timestamp>
  </data>
</repomd>

By the way, I tried to clean the whole /var/cache/yum/anaconda-upgrade dir with
no success.
Comment 9 Laszlo Beres 2008-05-05 10:10:16 EDT
I could reproduce it with another desktop machine in a totally different (but F8
too) environment.
Comment 10 Bug Zapper 2008-05-14 06:29:47 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-06-09 20:33:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 12:28:26 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.